=== debian/changelog ===
fltk1.3 (1.3.2-1maemo6) unstable; urgency=low

  * Keep trying to satisfy autobuilder

 -- Xes <xes.maemo@gmail.com>  Thu, 05 Jun 2014 06:01:05 +0200

fltk1.3 (1.3.2-1maemo5) unstable; urgency=low

  * New build

 -- Xes <xes.maemo@gmail.com>  Thu, 05 Jun 2014 06:01:04 +0200

fltk1.3 (1.3.2-1maemo4) unstable; urgency=low

  * Fixed symbols

 -- Xes <xes.maemo@gmail.com>  Thu, 05 Jun 2014 06:01:03 +0200

fltk1.3 (1.3.2-1maemo3) unstable; urgency=low

  * Fixed dh_shlibdeps

 -- Xes <xes.maemo@gmail.com>  Thu, 05 Jun 2014 06:01:02 +0200

fltk1.3 (1.3.2-1maemo2) unstable; urgency=low

  * Fix depends

 -- Xes <xes.maemo@gmail.com>  Thu, 05 Jun 2014 06:01:01 +0200

fltk1.3 (1.3.2-1maemo1) unstable; urgency=low

  * First maemo build.

 -- Xes <xes.maemo@gmail.com>  Thu, 05 Jun 2014 06:01:01 +0200
