=== debian/changelog ===
fltk1.3 (1.3.3-7) unstable; urgency=medium

  * debian/control: Drop versioned dpkg-dev build dependency, as even
    oldstable's version is sufficient.  (Closes: #811298.)
  * debian/copyright: Correct short license name for png/* (not built anyway).
  * debian/rules: Fix indep-only (-A) builds.  (Closes: #814434.)
  * debian/.gitignore: Ignore new {common,debhelper}-build-stamp files.
  * documentation/Makefile: Postprocess Doxygen LaTeX output to avoid
    breakage from attempting to use \hyperlink within \caption.
  * documentation/src/fltk-book.tex.in: Drop an occurrence of \\ that has
    become invalid with Doxygen 1.8.11.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 14 Feb 2016 22:51:01 -0500

fltk1.3 (1.3.3-6) unstable; urgency=medium

  * debian/control: Drop build dependency on imagemagick entirely.
  * debian/install: Stop installing XPM icons.
  * debian/rules:
    - Reinstate unhardened fltk-config more robustly.
      (Closes: #809711, #809825.)
    - Stop generating XPM icons, needed only for the retired .menu entries.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 04 Jan 2016 22:48:42 -0500

fltk1.3 (1.3.3-5) unstable; urgency=medium

  * debian/control: Split some build dependencies out into Build-Depends-Arch.
  * debian/rules:
    - Streamline indep-only (-A) builds to the extent possible (limited by the
      need to build and run fluid for the sake of some installed examples).
    - Invoke cmake -DOPTION_BUILD_EXAMPLES:BOOL=OFF to work around #809535.
  * debian/source/options: Rename back from local-options, per dgit.
  * debian/.gitignore: Unignore patches, per dgit.
  * debian/*.menu: Retire in favor of .desktop files, per #741573.
  * documentation/Makefile: Use the changelog date throughout, per
    https://wiki.debian.org/ReproducibleBuilds/TimestampsInPDFGeneratedByLaTeX
    plus an additional tweak to address the use of \today.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 31 Dec 2015 16:19:03 -0500

fltk1.3 (1.3.3-4) unstable; urgency=medium

  * debian/control:
    - Revert temporary dependency additions for #793517.
    - Standards-Version: 3.9.6.  (Already compliant.)
  * debian/copyright: Factor out SGI-OpenGL license text.
  * debian/fix-fltk-targets-noconfig: New script, to make
    FLTK-Targets-noconfig.cmake fully sane.
  * debian/rules:
    - Use fix-fltk-targets-noconfig, as the previous inline
      logic proved insufficient.  (Closes: #793517.)
    - Set DEB_HOST_MULTIARCH more efficiently (via :=).

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 17 Aug 2015 14:22:08 -0400

fltk1.3 (1.3.3-3) unstable; urgency=medium

  * CMake/FLTKConfig.cmake.in: Include UseFLTK.cmake, which is responsible for
    defining FLTK_FLUID_EXECUTABLE.  (Works around cmake-data bug #793549.)
  * debian/control (libfltk1.3-dev): Temporarily upgrade all recommendations
    and suggestions other than fltk1.3-doc to full dependencies, because cmake
    may well try to link against all of them.  (See fgrun bug #793517.)

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 07 Aug 2015 18:12:49 -0400

fltk1.3 (1.3.3-2) unstable; urgency=medium

  * debian/rules: When postprocessing FLTK-Targets-noconfig.cmake, make
    sure it cites libfltk*.so rather than libfltk*.so.1.3.x, which the
    traditional build system doesn't produce.  (Closes: #792386.)
  * debian/*.symbols*: Split symbols (inline destructors) that GCC 5
    doesn't emit into *.symbols.no-gcc5, included as optional.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 15 Jul 2015 01:24:19 -0400

fltk1.3 (1.3.3-1) unstable; urgency=medium

  * New upstream release.  (Closes: #791346.)
  * debian/*.cmake(.in): Stop trying to maintain.
  * debian/*.symbols: Update for 1.3.3.  FTR, some symbols have vanished,
    but all turned out to be inline, internal, private, or some
    combination, so their disappearance should be no problem in practice.
  * debian/control:
    - Build-Depends: cmake.
    - Vcs-*: Modernize; cite anonscm.d.o and cgit.
  * debian/copyright: Update years and list of primary developers.
  * debian/libfltk1.3-dev.install: No more (usr/include/)FL/Xutf8.h.
  * debian/rules:
    - Clean up new generated file documentation/doxygen_sqlite3.db.
    - Run cmake within a temporary directory to generate
      /usr/lib/fltk/*.cmake (modulo formal multiarch adjustments).
    - Link with -Wl,--as-needed to avoid the need to trim library lists
      explicitly.
    - Stop trimming CAIROLIBS.
  * Revert upstream changes (mostly to library lists) that have become
    superfluous; this package now has no changes to actual C++ files, and
    only a few to other files.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 11 Jul 2015 23:57:23 -0400

fltk1.3 (1.3.2-6) unstable; urgency=medium

  * debian/*.symbols*: Move previously mandatory symbols Clang 3.4
    doesn't emit to debian/*.symbols.no-clang.
  * documentation/src/fltk-book.tex: Update for current Doxygen and
    TeXLive versions, to avoid "Undefined control sequence" errors and a
    missing /usr/share/doc/fltk1.3-doc/fltk.pdf.gz.
  * fluid/Fl_Type.h: Give ::make_type_browser a non-friend declaration
    because it has a default argument.  (Closes: #755229.)

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 24 Jul 2014 00:29:30 -0400

fltk1.3 (1.3.2-5) unstable; urgency=medium

  * debian/*.symbols*: Move the few symbols GCC 4.9 doesn't emit into
    libfltk1.3.symbols.no-gcc49 and libfltk-gl1.3.symbols.no-gcc49,
    included as optional.  FWIW, half of them were already optional
    because Clang doesn't emit them either.  (Closes: #746845.)

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 13 May 2014 22:19:52 -0400
