=== debian/control ===
--- 
+++ 
@@ -1,18 +1,34 @@
 Source: fltk1.3
 Section: libs
 Priority: optional
-Maintainer: Xes <xes.maemo@gmail.com>
-Build-Depends: debhelper, dpkg-dev, pkg-config, g++, imagemagick, libxinerama-dev, libasound2-dev [linux-any], libcairo2-dev, libjpeg62-dev, libpng12-dev, libx11-dev, libxext-dev, libxft-dev, libgl1-mesa-dev, libglu1-mesa-dev, zlib1g-dev
-Standards-Version: 3.9.4
+Maintainer: Aaron M. Ucko <ucko@debian.org>
+Build-Depends: debhelper (>= 9),
+               g++ (>= 4:4.6),
+               libcairo2-dev,
+               libgl1-mesa-dev | libgl-dev,
+               libglu1-mesa-dev | libglu-dev,
+               libjpeg-dev,
+               libpng-dev,
+               libx11-dev,
+               libxext-dev,
+               libxft-dev,
+               libxinerama-dev,
+               pkg-config,
+               zlib1g-dev | libz-dev
+Build-Depends-Arch: cmake,
+                    libasound2-dev [linux-any]
+Build-Depends-Indep: doxygen-latex, texlive-font-utils
+Standards-Version: 3.9.6
 Homepage: http://www.fltk.org/
-Vcs-Git: git://git.debian.org/users/ucko/fltk1.3.git
-Vcs-Browser: http://git.debian.org/?p=users/ucko/fltk1.3.git;a=summary
+Vcs-Git: git://anonscm.debian.org/users/ucko/fltk1.3.git
+Vcs-Browser: https://anonscm.debian.org/cgit/users/ucko/fltk1.3.git/
 
 Package: fluid
 Section: devel
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: fltk1.3-doc, libfltk1.3-dev
+Multi-Arch: foreign
 Description: Fast Light Toolkit - user interface designer
  This package provides Fluid, an interactive GUI designer for FLTK,
  allowing graphical development of FLTK-based user
@@ -26,9 +42,22 @@
 Package: libfltk1.3-dev
 Section: libdevel
 Architecture: any
-Depends: libfltk-cairo1.3 (= ${binary:Version}), libfltk-forms1.3 (= ${binary:Version}), libfltk-gl1.3 (= ${binary:Version}), libfltk-images1.3 (= ${binary:Version}), libfltk1.3 (= ${binary:Version}), libx11-dev, ${misc:Depends}
-Recommends: fluid, libgl1-mesa-dev, libglu1-mesa-dev
-Suggests: fltk1.3-doc, libcairo2-dev, libjpeg-dev, libpng-dev, libxext-dev, libxft-dev, libxinerama-dev, zlib1g-dev
+Depends: libfltk-cairo1.3 (= ${binary:Version}),
+         libfltk-forms1.3 (= ${binary:Version}),
+         libfltk-gl1.3 (= ${binary:Version}),
+         libfltk-images1.3 (= ${binary:Version}),
+         libfltk1.3 (= ${binary:Version}),
+         libx11-dev,
+         ${misc:Depends}
+Recommends: fluid, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev
+Suggests: fltk1.3-doc,
+          libcairo2-dev,
+          libjpeg-dev,
+          libpng-dev,
+          libxext-dev,
+          libxft-dev,
+          libxinerama-dev,
+          zlib1g-dev | libz-dev
 Provides: libfltk-dev
 Conflicts: libfltk-dev
 Replaces: libfltk-dev
@@ -43,6 +72,7 @@
 Section: libdevel
 Architecture: all
 Depends: libfltk1.3-dev, ${misc:Depends}
+Multi-Arch: foreign
 Description: Fast Light Toolkit - compatibility header symlinks
  This package provides header symlinks with .h rather than .H extensions for
  compatibility with some older code that relies on the lowercase-h names.
@@ -51,6 +81,7 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
 Description: Fast Light Toolkit - main shared library
  This package contains the files necessary for running programs
  dynamically linked with FLTK.
@@ -62,6 +93,7 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libfltk1.3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
 Description: Fast Light Toolkit - Cairo rendering layer support
  This package contains the files necessary for running programs
  dynamically linked with FLTK's Cairo rendering layer bindings.
@@ -73,6 +105,7 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libfltk1.3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
 Description: Fast Light Toolkit - Forms compatibility layer support
  This package contains the files necessary for running programs
  dynamically linked with FLTK's Forms compatibility layer.
@@ -84,6 +117,7 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libfltk1.3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
 Description: Fast Light Toolkit - OpenGL rendering support
  This package contains the files necessary for running programs
  dynamically linked with FLTK's OpenGL rendering bindings.
@@ -95,6 +129,7 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libfltk1.3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
 Description: Fast Light Toolkit - image loading support
  This package contains the files necessary for running programs
  dynamically linked with FLTK's bindings to image-loading libraries.
@@ -122,6 +157,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Fast Light Toolkit - documentation
  This package provides documentation for FLTK, including a chapter on
  its user interface designer (fluid).
@@ -135,6 +171,7 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: fltk1.1-games
 Replaces: fltk1.1-games
+Multi-Arch: foreign
 Description: Fast Light Toolkit - example games: checkers, sudoku
  This package contains the example games that accompany FLTK.
  Specifically, it contains the following two programs:
@@ -144,4 +181,3 @@
  .
  The Fast Light Toolkit (FLTK) is a cross-platform graphical user interface
  toolkit originally based on libForms.
-
