=== debian/watch ===
version=3
opts="downloadurlmangle=s|.*FILE=|ftp://ftp.easysw.com/pub/|,uversionmangle=s|rc|~rc|;s|\.x-|~|" \
http://www.fltk.org/software.php .*/fltk-(1\.3\.\d?)-source?\.tar\.gz
